#4074 closed enhancement (fixed)

Add CONFIGURE_MAXIMUM_THREAD_LOCAL_STORAGE_SIZE

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: config Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

This configuration option can be used to reserve space for the dynamic linking of modules with thread-local storage objects. See also:

https://lists.rtems.org/pipermail/devel/2020-September/061867.html

Change History (6)

comment:1 Changed on Sep 10, 2020 at 1:20:30 PM by Sebastian Huber

Description: modified (diff)

comment:2 Changed on Sep 11, 2020 at 7:09:20 AM by Chris Johns <chrisj@…>

In f86a0ce/rtems-tools:

linkers/exeinfo: Output TLS data

Updates #4074

comment:3 Changed on Sep 17, 2020 at 4:09:22 PM by Sebastian Huber <sebastian.huber@…>

In 641b31a4/rtems:

rtems: Add RTEMS_ALIGN_DOWN()

Update #3959.
Update #4074.

comment:4 Changed on Sep 17, 2020 at 4:09:25 PM by Sebastian Huber <sebastian.huber@…>

In dce1cdf1/rtems:

rtems: Add RTEMS_ALIGN_UP()

Update #3959.
Update #4074.

comment:5 Changed on Sep 17, 2020 at 4:09:29 PM by Sebastian Huber <sebastian.huber@…>

In c312f31/rtems:

CONFIGURE_MAXIMUM_THREAD_LOCAL_STORAGE_SIZE

Add this application configuration option. This configuration option can be
used to reserve space for the dynamic linking of modules with thread-local
storage objects.

Add RTEMS_TASK_STORAGE_ALIGNMENT to define the minium alignment of a
thread-local storage size.

Update #4074.

comment:6 Changed on Sep 17, 2020 at 4:14:43 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In a5fe9aa/rtems-docs:

c-user: CONFIGURE_MAXIMUM_THREAD_LOCAL_STORAGE_SIZE

Document this application configuration option.

Close #4074.

Note: See TracTickets for help on using tickets.